// DbgTrapView.h : interface of the CDbgTrapView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBGTRAPVIEW_H__4D06E6AC_5D90_11D3_AFAF_00105AAA8284__INCLUDED_)
#define AFX_DBGTRAPVIEW_H__4D06E6AC_5D90_11D3_AFAF_00105AAA8284__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DbgTrapDoc.h"
#include "CDriver.h"
#include <winioctl.h>
#include "DbgTrapCommon.h"

typedef enum ColumnIndex
{
	INDEX_COUNT=0,
	INDEX_TIME,
	INDEX_PROCESSNAME,
	INDEX_ACTION,
	INDEX_CALLER,
	INDEX_VALUE,
	INDEX_MAXINDEX
};



class CDbgTrapView : public CListView
{
protected: // create from serialization only
	CDbgTrapView();
	DECLARE_DYNCREATE(CDbgTrapView)

// Attributes
public:
	CDbgTrapDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbgTrapView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	UINT m_timer;
	DWORD AddItemLoop( DWORD );
	DWORD count;
	PDWORD pCurrentIndex;
	DWORD prevIndex;
	PDBGTRAP_EVENT peb;
	PDBGTRAP_HEADER pInfo;
	CDriver* m_pdd;
	virtual ~CDbgTrapView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDbgTrapView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DbgTrapView.cpp
inline CDbgTrapDoc* CDbgTrapView::GetDocument()
   { return (CDbgTrapDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBGTRAPVIEW_H__4D06E6AC_5D90_11D3_AFAF_00105AAA8284__INCLUDED_)
