// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__4D06E6A8_5D90_11D3_AFAF_00105AAA8284__INCLUDED_)
#define AFX_MAINFRM_H__4D06E6A8_5D90_11D3_AFAF_00105AAA8284__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DbgTrapDoc.h"

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	CDbgTrapDoc* GetDoc();
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
public:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClear();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnOntop();
	afx_msg void OnUpdateOntop(CCmdUI* pCmdUI);
	afx_msg void OnCapturekernel();
	afx_msg void OnUpdateCapturekernel(CCmdUI* pCmdUI);
	afx_msg void OnCaptureuser();
	afx_msg void OnUpdateCaptureuser(CCmdUI* pCmdUI);
	afx_msg void OnAutoscroll();
	afx_msg void OnUpdateAutoscroll(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__4D06E6A8_5D90_11D3_AFAF_00105AAA8284__INCLUDED_)
