#include "stdafx.h"
#include "MainFrm.h"

wchar_t  g_sb[ MAX_PATH ];

#define JOSE_REG_KEY  _T("Software\\JFSoft\\DbgTrap")	// Our registry root key

//
// Returns a pointer to our main frame
//
CMainFrame* 
GetMainFrame()
{
	return (CMainFrame*)AfxGetMainWnd();
}




LONG
GetRegistryValue(
				 LPCTSTR pName,		// Substring relative to APP_REG_KEY to get data from
				 PVOID	 pBuffer,	// Buffer that the data is returned in
				 LPDWORD pSize		// Size of the buffer...# of bytes written on return
				 )
{
	LONG ret = 0;
	HKEY hKey= 0;
	DWORD created=0;

	//
	// Open the key...create it if it doesn't exist
	//
	ret = RegCreateKeyEx( 
						HKEY_LOCAL_MACHINE,
						JOSE_REG_KEY,
						0,
						NULL,
						REG_OPTION_NON_VOLATILE,
						KEY_ALL_ACCESS,
						NULL,
						&hKey,
						&created
						);
		
				
	if ( ret == ERROR_SUCCESS )
	{
		ret =RegQueryValueEx(
						hKey,
						pName,
						NULL,
						NULL,
						(PBYTE)pBuffer,
						pSize
						);
	}

	RegCloseKey( hKey );

	return ret;
}



LONG
SetRegistryValue(
				 LPCTSTR pName,		// Substring relative to APP_REG_KEY to get data from
				 LPVOID	 pBuffer,	// Buffer that the data is returned in
				 DWORD	 size,		// Size of the buffer...# of bytes written on return
				 DWORD	 type		// Type of the data to be stored
				 )
{
	LONG ret = 0;
	HKEY hKey= 0;
	DWORD created=0;

	//
	// Open the key...create it if it doesn't exist
	//
	ret = RegCreateKeyEx( 
						HKEY_LOCAL_MACHINE,
						JOSE_REG_KEY,
						0,
						NULL,
						REG_OPTION_NON_VOLATILE,
						KEY_ALL_ACCESS,
						NULL,
						&hKey,
						&created
						);
		
				
	if ( ret == ERROR_SUCCESS )
	{
		ret = RegSetValueEx(
						hKey,
						pName,
						NULL,
						type,
						(PBYTE)pBuffer,
						size
						);
	}

	RegCloseKey( hKey );

	return ret;
}