//======================================================================
// 
// DbgTrapProcs.h
//
// 1999 Jose Flores
//
// 
// Prototypes & definitions used by other DbgTrap source moduels 
// 
//
//======================================================================

#ifndef __DBGTRAP_PROCS_H__
#define __DBGTRAP_PROCS_H__


extern "C"{
#include <ntddk.h>
#include <windef.h>
}
#include "DbgTrapDbg.h"
#include "DbgTrapCommon.h"


//======================================================================
//					             G L O B A L S
//======================================================================
extern DWORD   bufferSize;          // Actual # of bytes allocated for eb

extern
PDBGTRAP_HEADER pHeader;            // Header for giving info to the GUI


extern BOOL    bLogUser;
extern BOOL    bLogKernel;

//======================================================================
//					            P R O T O T Y P E S
//======================================================================

//
// From DebugServiceHooks.cpp
//

NTSTATUS
InitTrapper();

void
ResetBuffer();

BOOL
InstallDebugServiceHook(
        BOOL bHook
    );

void
BringDownTrapper();


//======================================================================
//					    U N D O C U M E N T E D   S T U F F 
//======================================================================

extern "C"
DWORD
KeSetAffinityThread(
   PKTHREAD,
   DWORD affinityMask
   );


extern "C" 
int NTAPI
sprintf( char *buffer, const char *format, ... );

#endif
