// DbgTrap.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "DbgTrap.h"

#include "MainFrm.h"
#include "DbgTrapDoc.h"
#include "DbgTrapView.h"
#include "JoseConst.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDbgTrapApp

BEGIN_MESSAGE_MAP(CDbgTrapApp, CWinApp)
	//{{AFX_MSG_MAP(CDbgTrapApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDbgTrapApp construction

CDbgTrapApp::CDbgTrapApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CDbgTrapApp object

CDbgTrapApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CDbgTrapApp initialization

BOOL CDbgTrapApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	// Change the registry key under which our settings are stored.
	SetRegistryKey(_T("JFSoft\\DbgTrap"));

	LoadStdProfileSettings(0);  // Load standard INI file options (including MRU)

	// Register document templates

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CDbgTrapDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CDbgTrapView));
	AddDocTemplate(pDocTemplate);

	// Parse command line for standard shell commands, DDE, file open
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// Dispatch commands specified on the command line
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();

	return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	afx_msg void OnWeb();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_BN_CLICKED(IDC_WEB, OnWeb)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// App command to run the dialog
void CDbgTrapApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CDbgTrapApp message handlers


void CAboutDlg::OnWeb() 
{
	SHELLEXECUTEINFO shex;
	shex.cbSize = sizeof SHELLEXECUTEINFO;
	shex.fMask = SEE_MASK_NOCLOSEPROCESS;
	shex.hwnd = NULL;
	shex.lpVerb = _T("Open");
	shex.lpFile = JOSE_WEB_SITE;
	shex.lpParameters = NULL;
	shex.lpDirectory = NULL;
	shex.nShow = SW_NORMAL; 
	shex.hInstApp = 0;
	shex.lpIDList = NULL;
	shex.lpClass = NULL;
	shex.hkeyClass = 0;
	shex.dwHotKey = 0;
	shex.hIcon = 0; 
	shex.hProcess = 0; 
	ShellExecuteEx(&shex);	
	
}
